MCP Tools Reference: ces.googleapis.com

工具:get_deployment

取得指定部署作業的詳細資料。

下列程式碼範例說明如何使用 curl 呼叫 get_deployment MCP 工具。

Curl 要求
curl --location 'https://ces.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "get_deployment",
    "arguments": {
      // Provide these details according to the MCP tool specification.
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'

輸入內容的結構定義

AgentService.GetDeployment 的要求訊息。

GetDeploymentRequest

JSON 表示法
{
  "name": string
}
欄位
name

string

這是必要旗標,部署作業的名稱。格式:projects/{project}/locations/{location}/apps/{app}/deployments/{deployment}

輸出內容的結構定義

部署作業代表應用程式不可變動且可查詢的版本,用於透過特定管道設定檔部署應用程式版本。

部署作業

JSON 表示法
{
  "name": string,
  "displayName": string,
  "appVersion": string,
  "channelProfile": {
    object (ChannelProfile)
  },
  "createTime": string,
  "updateTime": string,
  "etag": string,
  "experimentConfig": {
    object (ExperimentConfig)
  },
  "whatsappCredentials": {
    object (WhatsAppCredentials)
  },
  "instagramCredentials": {
    object (InstagramCredentials)
  },
  "modelSettings": {
    object (ModelSettings)
  },
  "modality": enum (Modality),
  "agentRegistryDeployment": {
    object (AgentRegistryDeployment)
  }
}
欄位
name

string

ID。部署作業的資源名稱。格式:projects/{project}/locations/{location}/apps/{app}/deployments/{deployment}

displayName

string

這是必要旗標,部署作業的顯示名稱。

appVersion

string

選用。要部署的應用程式版本資源名稱。格式:projects/{project}/locations/{location}/apps/{app}/versions/{version} 使用 projects/{project}/locations/{location}/apps/{app}/versions/- 即可使用草稿應用程式。

channelProfile

object (ChannelProfile)

這是必要旗標,部署作業中使用的管道設定檔。

createTime

string (Timestamp format)

僅供輸出。建立這項部署作業的時間戳記。

使用 RFC 3339,產生的輸出內容一律會經過 Z 正規化,並使用 0、3、6 或 9 個小數位數,也接受「Z」以外的偏移量。範例:"2014-10-02T15:01:23Z"、"2014-10-02T15:01:23.045123456Z" 或 "2014-10-02T15:01:23+05:30"。

updateTime

string (Timestamp format)

僅供輸出。上次更新這個部署作業的時間戳記。

使用 RFC 3339,產生的輸出內容一律會經過 Z 正規化,並使用 0、3、6 或 9 個小數位數,也接受「Z」以外的偏移量。範例:"2014-10-02T15:01:23Z"、"2014-10-02T15:01:23.045123456Z" 或 "2014-10-02T15:01:23+05:30"。

etag

string

僅供輸出。Etag 用於確保物件在讀取 - 修改 - 寫入作業期間未變更。如果 etag 為空,更新作業會覆寫任何並行變更。

experimentConfig

object (ExperimentConfig)

選用。部署作業的實驗設定。

whatsappCredentials

object (WhatsAppCredentials)

選用。僅限輸入。設定 WhatsApp 管道設定檔時,需要使用臨時 WhatsApp 憑證。

instagramCredentials

object (InstagramCredentials)

選用。僅限輸入。設定 Instagram 管道個人資料時,必須使用暫時性 Instagram 憑證。

modelSettings

object (ModelSettings)

選用。部署作業的模型設定。覆寫在應用程式/代理程式層級設定的模型設定。注意:部署層級的模型設定覆寫功能目前僅開放給允許清單中的使用者。如要啟用這個欄位,請與 CXAS 團隊聯絡。

modality

enum (Modality)

選用。部署作業的形態。注意:部署層級的模式覆寫功能僅限許可清單中的使用者。如要啟用這個欄位,請與 CXAS 團隊聯絡。

agentRegistryDeployment

object (AgentRegistryDeployment)

選用。將這個部署項目部署至 Agent Registry 的設定。如果存在,這個部署作業就會發布至 Agent Registry。

ChannelProfile

JSON 表示法
{
  "profileId": string,
  "channelType": enum (ChannelType),
  "personaProperty": {
    object (PersonaProperty)
  },
  "webWidgetConfig": {
    object (WebWidgetConfig)
  },
  "whatsappConfig": {
    object (WhatsAppConfig)
  },
  "instagramConfig": {
    object (InstagramConfig)
  },

  // Union field _disable_dtmf can be only one of the following:
  "disableDtmf": boolean
  // End of list of possible types for union field _disable_dtmf.

  // Union field _disable_barge_in_control can be only one of the following:
  "disableBargeInControl": boolean
  // End of list of possible types for union field _disable_barge_in_control.

  // Union field _noise_suppression_level can be only one of the following:
  "noiseSuppressionLevel": string
  // End of list of possible types for union field _noise_suppression_level.
}
欄位
profileId

string

選用。頻道設定檔的專屬 ID。

channelType

enum (ChannelType)

選用。管道設定檔的類型。

personaProperty

object (PersonaProperty)

選用。頻道個人資料的 persona 屬性。

webWidgetConfig

object (WebWidgetConfig)

選用。網頁小工具的設定。

whatsappConfig

object (WhatsAppConfig)

選用。WhatsApp 部署作業專用設定。

instagramConfig

object (InstagramConfig)

選用。Instagram 部署作業專用設定。

聯集欄位 _disable_dtmf。

_disable_dtmf 只能是下列之一:

disableDtmf

boolean

選用。是否要停用雙音多頻 (DTMF)。

聯集欄位 _disable_barge_in_control。

_disable_barge_in_control 只能是下列之一:

disableBargeInControl

boolean

選用。是否要在對話中停用使用者插話控制項。- true:代理程式說話時,系統會停用使用者中斷功能。- false:代理程式會保留自動控制權,決定使用者何時可以中斷。

聯集欄位 _noise_suppression_level。

_noise_suppression_level 只能是下列之一:

noiseSuppressionLevel

string

選用。頻道設定檔的雜訊抑制等級。可用值為「low」、「moderate」、「high」、「very_high」。

PersonaProperty

JSON 表示法
{
  "persona": enum (Persona)
}
欄位
persona

enum (Persona)

選用。頻道的角色。

WebWidgetConfig

JSON 表示法
{
  "modality": enum (Modality),
  "theme": enum (Theme),
  "webWidgetTitle": string,
  "securitySettings": {
    object (SecuritySettings)
  }
}
欄位
modality

enum (Modality)

選用。網頁小工具的模式。

theme

enum (Theme)

選用。網頁小工具的主題。

webWidgetTitle

string

選用。網頁小工具的標題。

securitySettings

object (SecuritySettings)

選用。網頁小工具的安全性設定。

SecuritySettings

JSON 表示法
{
  "enablePublicAccess": boolean,
  "enableOriginCheck": boolean,
  "allowedOrigins": [
    string
  ],
  "enableRecaptcha": boolean
}
欄位
enablePublicAccess

boolean

選用。指出是否已啟用公開存取網頁小工具。如果true,網頁小工具就會公開。如為 false,網頁小工具必須與您自己的驗證和授權系統整合,才能傳回存取 CES 代理程式的有效憑證。

enableOriginCheck

boolean

選用。指出是否已啟用網頁小工具的來源檢查。如果是 true,網頁小工具會檢查載入網頁小工具的網站來源,只允許在相同來源或任何允許的來源中載入。

allowedOrigins[]

string

選用。允許代管網頁小工具的來源。來源定義於 RFC 6454。如果留空,系統會允許所有來源。最多只能有 100 個來源,例如:「https://example.com」

enableRecaptcha

boolean

選用。指出是否已啟用網頁小工具的 reCAPTCHA 驗證。

WhatsAppConfig

JSON 表示法
{
  "wabaId": string,
  "phoneNumberId": string,
  "phoneNumber": string,
  "displayName": string,
  "thumbnailUrl": string,
  "description": string
}
欄位
wabaId

string

這是必要旗標,WhatsApp Business 帳戶 ID。

phoneNumberId

string

這是必要旗標,Meta 電話號碼 ID。

phoneNumber

string

選用。電話號碼,格式為 E.164。

displayName

string

僅供輸出。系統擷取的 Meta 商家專頁名稱。

thumbnailUrl

string

僅供輸出。擷取的 Meta 商家檔案縮圖網址。

description

string

僅供輸出。Meta 企業專頁或個人資料的說明。

InstagramConfig

JSON 表示法
{
  "instagramAccountId": string,
  "displayName": string,
  "thumbnailUrl": string,
  "description": string
}
欄位
instagramAccountId

string

這是必要旗標,Instagram 帳戶 ID。

displayName

string

僅供輸出。系統擷取的 Meta 商家專頁名稱。

thumbnailUrl

string

僅供輸出。擷取的 Meta 商家檔案縮圖網址。

description

string

僅供輸出。Meta 企業專頁或個人資料的說明。

時間戳記

JSON 表示法
{
  "seconds": string,
  "nanos": integer
}
欄位
seconds

string (int64 format)

代表自 Unix 紀元 1970-01-01T00:00:00Z 起算的世界標準時間秒數。必須介於 -62135596800 和 253402300799 之間 (含),對應的時間範圍為 0001-01-01T00:00:00Z 至 9999-12-31T23:59:59Z。

nanos

integer

以奈秒為單位的非負秒數小數。這個欄位是時間長度的奈秒部分,並非秒數的替代值。如果秒數值為負數,且包含小數,奈秒值仍須為非負數,且會往前計算時間。必須介於 0 至 999,999,999 之間 (含)。

ExperimentConfig

JSON 表示法
{
  "versionRelease": {
    object (VersionRelease)
  }
}
欄位
versionRelease

object (VersionRelease)

選用。實驗的發布版本。

VersionRelease

JSON 表示法
{
  "state": enum (State),
  "trafficAllocations": [
    {
      object (TrafficAllocation)
    }
  ]
}
欄位
state

enum (State)

選用。版本發布狀態。

trafficAllocations[]

object (TrafficAllocation)

選用。版本發布的流量分配。

TrafficAllocation

JSON 表示法
{
  "id": string,
  "trafficPercentage": integer,
  "appVersion": string
}
欄位
id

string

選用。流量分配的 ID。自由格式字串,最多 128 個半形字元。

trafficPercentage

integer

選用。流量分配的流量百分比。必須介於 0 至 100 之間。

appVersion

string

選用。流量分配的應用程式版本。格式:projects/{project}/locations/{location}/apps/{app}/versions/{version}

WhatsAppCredentials

JSON 表示法
{
  "authCode": string,
  "pin": string,
  "phoneNumber": string,
  "businessAccountId": string,
  "wabaId": string,
  "conversationProfileId": string
}
欄位
authCode

string

這是必要旗標,內嵌註冊流程提供的 Meta 授權碼。

pin

string

這是必要旗標,使用者為兩步驟驗證建立的 6 位數 PIN 碼。

phoneNumber

string

這是必要旗標,用來註冊 WhatsApp 的電話號碼。

businessAccountId

string

這是必要旗標,要用於電話號碼的商家帳戶 ID。

wabaId

string

這是必要旗標,WhatsApp Business 帳戶 ID。

conversationProfileId

string

選用。部署作業要使用的對話設定檔 ID。

InstagramCredentials

JSON 表示法
{
  "authCode": string,
  "conversationProfileId": string
}
欄位
authCode

string

這是必要旗標,內嵌註冊流程提供的 Meta 授權碼。

conversationProfileId

string

選用。部署作業要使用的對話設定檔 ID。

ModelSettings

JSON 表示法
{
  "model": string,
  "thinkingLevel": enum (ThinkingLevel),

  // Union field _temperature can be only one of the following:
  "temperature": number
  // End of list of possible types for union field _temperature.
}
欄位
model

string

選用。代理程式應使用的 LLM 模型。如未設定,代理程式會沿用上層代理程式的模型。

thinkingLevel

enum (ThinkingLevel)

選用。模型的思考程度。

聯集欄位 _temperature。

_temperature 只能是下列之一:

temperature

number

選用。如果設定了這個值,系統就會將其用於 LLM 模型。溫度參數會決定模型回覆的隨機程度。溫度越低,生成的回覆就越容易預測。溫度越高,生成的回覆就越有創意。

AgentRegistryDeployment

JSON 表示法
{
  "agentRegistryServiceName": string
}
欄位
agentRegistryServiceName

string

選用。僅供輸出。已部署的 Agent Registry 服務資源名稱。格式:projects/{project}/locations/{location}/services/{service}

ChannelType

管道設定檔的類型。

列舉
UNKNOWN 管道類型不明。
WEB_UI 網頁 UI 管道。
API API 管道。
TWILIO Twilio 管道。
GOOGLE_TELEPHONY_PLATFORM Google Telephony Platform 管道。
CONTACT_CENTER_AS_A_SERVICE Contact Center as a Service (CCaaS) 管道。
CONTACT_CENTER_AS_A_SERVICE_CHAT Contact Center as a Service (CCaaS Chat) 管道。
FIVE9 Five9 頻道。
CONTACT_CENTER_INTEGRATION 第三方客服中心整合管道。
WHATSAPP WhatsApp 頻道。
INSTAGRAM Instagram 頻道。

角色

頻道的角色。

列舉
UNKNOWN UNKNOWN persona。
CONCISE 代理會簡明扼要地回覆
CHATTY 代理人提供額外背景資訊、說明和詳細資料

模態

網頁小工具的模式。

列舉
MODALITY_UNSPECIFIED 不明模式。
CHAT_AND_VOICE 小工具支援即時通訊和語音輸入。
VOICE_ONLY 小工具僅支援語音輸入。
CHAT_ONLY 小工具僅支援輸入文字。
CHAT_VOICE_AND_VIDEO 小工具支援文字、語音和視訊輸入。

主題

網頁小工具的主題。

列舉
THEME_UNSPECIFIED 不明主題。
LIGHT 淺色主題。
DARK 深色主題。

狀態

實驗狀態。

列舉
STATE_UNSPECIFIED 未指定狀態。
PENDING 已淘汰:系統不再使用這個狀態。
RUNNING 執行狀態。實驗正在執行中,且有效。
DONE 已淘汰:系統不再使用這個狀態。
EXPIRED 已淘汰:系統不再使用這個狀態。

ThinkingLevel

模型的思考程度設定。

列舉
THINKING_LEVEL_UNSPECIFIED 未指定思考程度。
DEFAULT 預設思考程度。
LOW 思考程度較低。
MEDIUM 中度思考程度。
HIGH 深度思考程度。

模態

部署作業的形態。

列舉
MODALITY_UNSPECIFIED 不明模式。
MODALITY_TEXT 文字模態。
MODALITY_VOICE 語音模態。
MODALITY_VIDEO 影片模態。

工具註解

工具註解會傳送至 MCP 用戶端,說明特定工具的基本風險。大多數用戶端會將這些提示視為不受信任,但可用於決定何時可能向使用者傳送確認提示。

除了標題字串,以下布林值提示的定義如下:

  • readOnlyHint:如果為 true,工具不會修改環境。預設值為 false。
  • destructiveHint:如果為 true,工具可以執行破壞性動作。如果為 false,工具只能執行加法動作。預設值:true。
  • idempotentHint:如果為 true,以相同引數重複呼叫工具時,不會對環境產生額外影響。預設值為 false。
  • openWorldHint:設為 true 時,工具可與外部實體的「開放世界」互動。如果為 false,工具只能與內部實體互動。舉例來說,網路搜尋工具屬於開放世界,記憶體工具則不屬於開放世界。

破壞性提示:❌ | 等冪提示:✅ | 唯讀提示:✅ | 開放世界提示:❌